npm Community Forum (Archive)

The npm community forum has been discontinued.

To discuss usage of npm, visit the GitHub Support Community.

i can't 'npm install' ?

npm install -g --unsafe-perm node-red@0.20.6

npm ERR! code ERR_OSSL_PEM_NO_START_LINE
npm ERR! error:0909006C:PEM routines:get_name:no start line

npm ERR! A complete log of this run can be found in:

help me!!!


i tried many methods


I do not recognise the error, so only some questions:

npm --versions
node -p process.platform


npm --versions
{
npm: ‘6.9.0’,
ares: ‘1.15.0’,
brotli: ‘1.0.7’,
cldr: ‘35.1’,
http_parser: ‘2.8.0’,
icu: ‘64.2’,
llhttp: ‘1.1.4’,
modules: ‘72’,
napi: ‘4’,
nghttp2: ‘1.38.0’,
node: ‘12.6.0’,
openssl: ‘1.1.1c’,
tz: ‘2019a’,
unicode: ‘12.1’,
uv: ‘1.30.1’,
v8: ‘7.5.288.22-node.14’,
zlib: ‘1.2.11’
}
node -p process.platform
win32

running the commands


This report has same error and on Windows, but not a confirmed answer: https://stackoverflow.com/questions/55236936/how-can-i-solve-npm-err-error0909006cpem-in-node-js